### Method

# Qrtr Node lookup_service

since: 1.0

#### Declaration [src]

    gint32
    qrtr_node_lookup_service (
      QrtrNode* self,
      guint32 port
    )

#### Description [src]

If a server has announced itself for the given node and port number, return the service it serves.

Available since: 1.0

#### Parameters

`port`

  Type: `guint32`

  A port number.

#### Return value

Type: `gint32`

The service number, or -1 if not found.